Name:           plexus-velocity
Version:        2.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Plexus Velocity Component
License:        ASL 2.0
URL:            https://codehaus-plexus.github.io/plexus-velocity/
BuildArch:      noarch
#ExclusiveArch:  %{java_arches} noarch

Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.inject:guice)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.velocity:velocity-engine-core)
BuildRequires:  mvn(org.codehaus.plexus:plexus-components:pom:)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)

%description
This package provides Plexus Velocity component - a wrapper for
Apache Velocity template engine, which allows easy use of Velocity
by applications built on top of Plexus container.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}

find -name '*.jar' -delete

cp -p %{SOURCE1} LICENSE

# Make provided scope on plexus-containers
%pom_change_dep :plexus-container-default org.eclipse.sisu:org.eclipse.sisu.plexus::provided
%pom_add_dep com.google.inject:guice::test

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.0-2.mga10
+ Revision: 2222737
- Mageia 10 Mass Rebuild

* Fri May 17 2024 ns80 <ns80> 2.0-1.mga10
+ Revision: 2064652
- new version 2.0 for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.2-5.mga9
+ Revision: 1827495
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 neoclust <neoclust> 1.2-4.mga8
+ Revision: 1617216
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1499269
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1274450
- Mageia 7 Mass Rebuild

* Mon May 08 2017 neoclust <neoclust> 1.2-1.mga6
+ Revision: 1099610
- New version 1.2
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.1.8-21.mga6
+ Revision: 977769
- First rebuild of the java stack
- sync package plexus-velocity with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1.8-16.mga5
+ Revision: 739411
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0:1.1.8-14.mga5
+ Revision: 670552
- clean packaging (from fedora)

* Wed Dec 25 2013 dmorgan <dmorgan> 0:1.1.8-13.mga4
+ Revision: 560707
- Migration to plexus-containers-container-default

* Fri Oct 18 2013 umeabot <umeabot> 0:1.1.8-12.mga4
+ Revision: 517635
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0:1.1.8-11.mga3
+ Revision: 377929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 22 2011 dmorgan <dmorgan> 0:1.1.8-10.mga2
+ Revision: 186234
- Remove ant build
- Sync with fedora
- Migration to maven3
- Removal of plexus-maven-plugin (not needed)
- Minor spec file changes according to the latest guidelines

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.1.8-8.mga1
+ Revision: 93033
- Rebuild after bootstrapping
- imported package plexus-velocity


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.1.8-5
- BR java-devel 1.6.

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.1.8-4
- BR maven-surefire-provider-junit.

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.1.8-3
- BR maven-doxia-sitetools.

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.1.8-2
- BR plexus-maven-plugin.

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.1.8-1
- Update to upstream 1.1.8.

* Fri Aug 21 2009 Andrew Overholt <overholt@redhat.com> 1.1.7-3.3
- Add ant-nodeps BR

* Fri Aug 21 2009 Andrew Overholt <overholt@redhat.com> 1.1.7-3.2
- Add ant-contrib BR

* Fri Aug 21 2009 Andrew Overholt <overholt@redhat.com> 0:1.1.7-3.1
- Import from Deepak Bhole's work (import from JPackage, update to 1.1.7)
- Remove gcj support

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1.2-5.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1.2-4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.1.2-3.2
- drop repotag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.1.2-3jpp.1
- Autorebuild for GCC 4.3

* Sat Mar 24 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.1.2-3jpp
- Build with maven2 by default
- Add gcj_support options

* Fri Feb 16 2007 Tania Bento <tbento@redhat.com> - 0:1.1.2-2jpp.1
- Fixed %%License.
- Fixed %%BuildRoot.
- Fixed %%Release.
- Removed the %%post and %%postun for javadoc.
- Removed %%Vendor.
- Removed %%Distribution.
- Removed "%%define section free".
- Added the gcj support option.
- Added BR for jakarta-commons-logging.

* Wed May 17 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.1.2-2jpp
- First JPP-1.7 release

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.1.2-1jpp
- First JPackage build
